PUT /WorkApps/{workAppId}/Policies/{requestType}
Update the app-wide policy that governs a specific request type, such as grant or remove access.
Public API key used to identify the client application. It should be included in all requests.
The Work App's unique identifier.
API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.
YOUR_API_SECRETRequest model used to update the default policy for a work app, applied only if no more specific policy exists for the requested permission level.
Identifier of the policy to apply.
No Content
No content
Unauthorized
Not Found
Conflict
Internal Server Error
PUT /api/v1/WorkApps/{workAppId}/Policies/{requestType} HTTP/1.1
Host: open-api.getcakewalk.io
X-API-KEY: YOUR_API_KEY
X-API-SECRET: YOUR_API_SECRET
Content-Type: application/json
Accept: */*
Content-Length: 51
{
"policyId": "123e4567-e89b-12d3-a456-426614174000"
}No content
Last updated
Was this helpful?